CGCREATE(1)

NAME
cgcreate - create new cgroup(s)

SYNOPSIS
cgcreate [-h] [-s] [-t <tuid>:<tgid>] [-a <agid>:<auid>] [-f mode] [-d mode] -g <controllers>:<path> [-g ...]

DESCRIPTION
The command creates new cgroup(s) defined by option -g.

-t <tuid>:<tgid>
    defines the name of the user and the group, which owns tasks file of the defined control group. I.e. this user and members of this group have write access to the file. The default value is the same as has the parent cgroup.

-a <agid>:<auid>
    defines the name of the user and the group, which owns the rest of the defined control group’s files. These users are allowed to set subsystem parameters and create subgroups. The default value is the same as has the parent cgroup.

-d, --dperm mode
    sets the permission mode of control groups directory. The mode have to be set using octal numbers e.g. -d 775.

-f, --fperm mode
    sets the permission mode of control groups files. The mode have to be set using octal numbers e.g. -f 775.

-g <controllers>:<path>
    defines control groups which will be added. controllers is a list of controllers and path is the relative path to control groups in the given controllers list. This option can be specified multiple times.

-h, --help
    display this help and exit

FILES

SEE ALSO
cgrules.conf (5) cgexec (1) cgclassify (1)